Show a channel
GET
/v1/channels/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/channels/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://api.disclosebot.localdev:3000/v1/channels/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Successful
Media type application/json
object
data
required
object
id
required
string format: uuid
type
required
string
attributes
required
object
name
required
string
short_description
string
enabled
required
boolean
enabled_at
string format: date-time
prefilter_query
The custom pre-filter; null when the pre-filter references a saved search or there is none
object
q
object
key
additional properties
One of:
string
Array<string>
results
object
key
additional properties
object
key
additional properties
string
prefilter_saved_search_id
The saved search the pre-filter reads; its query applies as it is now. Never set together with prefilter_query
string format: uuid
running_version_number
integer
steps_summary
Array<string>
created_at
required
string format: date-time
updated_at
required
string format: date-time
relationships
object
organization
object
workflow
object
prefilter_saved_search
object
Example
{ "data": { "type": "channel" }}Unauthorized
Another organisation